OpenTTD Source: CYapfOriginTileT< Types > Class Template Reference

OpenTTD Source 15.3

Public Types | Public Member Functions | Protected Member Functions
CYapfOriginTileT< Types > Class Template Reference

YAPF origin provider base class - used when origin is one tile / multiple trackdirs. More...

`#include <yapf_common.hpp>`

## Public Types
typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::NodeList::Item | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables

## Public Member Functions
void | SetOrigin (TileIndex tile, TrackdirBits trackdirs)
| Set origin tile / trackdir mask.

## Protected Member Functions
Tpf & | Yapf ()
| to access inherited path finder

## Detailed Description

template<class Types>
class CYapfOriginTileT< Types >

YAPF origin provider base class - used when origin is one tile / multiple trackdirs.

Definition at line 19 of file yapf_common.hpp.

## Member Typedef Documentation

## ◆ Key

template<class Types >

typedef Node::Key CYapfOriginTileT< Types >::Key

key to hash tables

Definition at line 23 of file yapf_common.hpp.

## ◆ Node

template<class Types >

typedef Types::NodeList::Item CYapfOriginTileT< Types >::Node

this will be our node type

Definition at line 22 of file yapf_common.hpp.

## ◆ Tpf

template<class Types >

typedef Types::Tpf CYapfOriginTileT< Types >::Tpf

the pathfinder class (derived from THIS class)

Definition at line 21 of file yapf_common.hpp.

## Member Function Documentation

## ◆ SetOrigin()

template<class Types >

void CYapfOriginTileT< Types >::SetOrigin | ( | TileIndex | tile,
|  | TrackdirBits | trackdirs
| ) |  |
| inline

Set origin tile / trackdir mask.

Definition at line 34 of file yapf_common.hpp.

References FindFirstBit(), KillFirstBit(), TRACKDIR_BIT_NONE, and CYapfOriginTileT< Types >::Yapf().

## ◆ Yapf()

template<class Types >

Tpf & CYapfOriginTileT< Types >::Yapf | ( |  | ) |
| inlineprotected

to access inherited path finder

Definition at line 27 of file yapf_common.hpp.

Referenced by CYapfOriginTileT< Types >::SetOrigin().

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_common.hpp